# SRC Alert Diagnostics library
# These faults do not represent real robot faults or reactions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.

component: 'SRC'
source_enum: kEmuSRC
namespace: zoox::src
can_messages:
  - status_msg: SRCW_alertStatus
  - status_msg: SRCE_alertStatus
can_import: firmware/common/can/generated/vh6/vh6a/src.h
can_namespace: vh6a
faults:
  - id: 0
    name: OverVoltage
    severity: WARNING
    description: Overvoltage fault caused by harnessing or internal device issue
    troubleshooting_steps: Inspect harnessing. Forward logs to Firmware
  - id: 1
    name: OverCurrent
    severity: WARNING
    description: Overcurrent fault caused by harnessing or internal device issue.
    troubleshooting_steps: Inspect harnessing. Forward logs to Firmware
  - id: 2
    name: UnderVoltage
    severity: WARNING
    description: Undervoltage fault caused by harnessing or internal device issue.
    troubleshooting_steps: Inspect harnessing. Forward logs to Firmware
  - id: 3
    name: HighTemperature
    severity: ERROR
    description: Temperature fault caused by harnessing or thermal system.
    troubleshooting_steps: Inspect harnessing. Forward logs to Firmware
  - id: 4
    name: MessageTimeout
    severity: INFO
    description: Message timeout caused by communication issues or device issue
    troubleshooting_steps: Inspect harnessing and CAN Bus traffic. Forward logs to Firmware
  - id: 5
    name: SignalError
    severity: ERROR
    description: Signal error caused by firmware command issues including incorrect CRC.
    troubleshooting_steps: Inspect latch harnessing and CAN Bus Trafic. Forward logs to Firmware.
  - id: 6
    name: IdFault
    severity: ERROR
    description: Wrong id used for communicating with the device.
    troubleshooting_steps: Forward logs to Firmware.
  - id: 7
    name: LifeCycleExceeded
    severity: ERROR
    description: SRC lifecycle exceeded fault.
    troubleshooting_steps: Replace SRC unit.
